$task-list-accordion-padding: 0.5rem;

.task-list-accordion {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  text-align: left;

  color: $secondary-color-1;
  background-color: $paper-white;

  margin-bottom: 1rem;
  min-height: 7.5vh;

  cursor: pointer;
  transition: 0.3s;
}

.task-list-accordion-title {
  display: flex;
  align-items: center;

  font-family: $default-font;
  font-weight: bold;

  box-sizing: border-box;
  min-height: 7.5vh;
  width: 95%;
  margin: 0;
  padding: $task-list-accordion-padding;
  padding-right: 0;
}

.task-list-accordion-title-edit {
  height: 100%;
  width: 7.5%;

  padding: $task-list-accordion-padding;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.task-list-add-button {
  margin: auto;
  padding: .5rem;
  font-size: 2rem;
}

.task-list-panel {
  display: flex;
  flex-direction: column;
  align-items: center;

  box-sizing: border-box;
  width: 95vw;
  max-height: 60vh;

  background-color: $phantom-white;
  overflow-y: scroll;
  transition: 0.5s;
  
  border-radius: 3px;
  box-shadow: 0px 0px 3px 0px $border-shadow;
  margin: 0 auto 0.3rem auto;
}

.task-list-panel-space {
  width: 100%;
  height: 0.3rem;
}

.task-list-panel::-webkit-scrollbar {
  display: none;
}

.task-list-panel-closed {
  border: 0;
  margin: 0 auto 0 auto;
  max-height: 0px;
}

@media only screen and (min-width: 768px) {
  /* For desktop: */
  task-list-accordion-title-edit {
    width: 2.5%;
  }
}